Upload Attachment
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/ticket/attachment/{channel} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'attachmentData={
"sellerId": "4711",
"ticketId": "CASE-01071982",
"filename": "product.png"
}' \
--form attachment='@example-file'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/ticket/attachment/{channel}"
files = { "attachment": ("example-file", open("example-file", "rb")) }
payload = { "attachmentData": "{
\"sellerId\": \"4711\",
\"ticketId\": \"CASE-01071982\",
\"filename\": \"product.png\"
}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('attachmentData', '{
"sellerId": "4711",
"ticketId": "CASE-01071982",
"filename": "product.png"
}');
form.append('attachment', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/ticket/attachment/{channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Ticket
Upload Attachment
Upload a attachment for a Ticket
POST
/
v1
/
seller
/
ticket
/
attachment
/
{channel}
Upload Attachment
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Path Parameters
Channel name the ticket attachment should be uploaded to. This is the unique Channel name.
Pattern:
^\w{5,15}$Example:
"MYBESTDEALCOMDE"
Body
multipart/form-data
Multipart upload of a single attachment file for an existing ticket.
Attachment meta data as JSON
Show child attributes
Show child attributes
File Attachment as binary data must have a maxium size of 16 MB.
Allowed Content-Types are
- text/plain
- application/pdf
- application/vnd.openxmlformats-officedocument.wordprocessingml.document
- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
- application/vnd.ms-excel
- application/msword
- image/*
Response
Attachment uploaded
Was this page helpful?
⌘I